# Table Exists

Launch stage: GA

`GET /api/2.1/unity-catalog/tables/{full_name_arg}/exists`

Gets if a table exists in the metastore for a specific catalog and schema.
 The caller must satisfy one of the following requirements:
   * Be a metastore admin
   * Be the owner of the parent catalog
   * Be the owner of the parent schema and have the **USE_CATALOG** privilege on the parent catalog
   * Have the **USE_CATALOG** privilege on the parent catalog and the **USE_SCHEMA** privilege on the parent schema,
   and either be the table owner or have the **SELECT** privilege on the table.
   * Have **BROWSE** privilege on the parent catalog
   * Have **BROWSE** privilege on the parent schema

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  Full name of the table.

## Returns

- `table_exists` (boolean, optional)
  Whether the table exists or not.

## Response

```json
{
  "table_exists": true
}
```

